Bug 2113161 - csound: FTBFS in Fedora rawhide/f37
Summary: csound: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: csound
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans Ulrich Niedermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F37FTBFS 2107826
TreeView+ depends on / blocked
 
Reported: 2022-08-01 23:21 UTC by Fedora Release Engineering
Modified: 2022-11-10 22:19 UTC (History)
4 users (show)

Fixed In Version: csound-6.16.2-7.fc36 csound-6.16.2-7.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-24 14:09:45 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2022-08-01 23:21 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2022-08-01 23:21 UTC, Fedora Release Engineering
no flags Details
state.log (963 bytes, text/plain)
2022-08-01 23:21 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-01 23:21:09 UTC
csound failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89762788


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix csound at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
csound will be orphaned. Before branching of Fedora 38,
csound will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-01 23:21:11 UTC
Created attachment 1900922 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-08-01 23:21:12 UTC
Created attachment 1900923 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-01 23:21:13 UTC
Created attachment 1900924 [details]
state.log

Comment 4 Fedora Admin user for bugzilla script actions 2022-08-03 00:11:44 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 5 Tomáš Hrnčiar 2022-08-09 10:43:38 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 37.
Action is required from you.

PYC magic number has changed in Python 3.11.0b4, and all packages with Python
bytecode need to be
rebuilt. Most of them were rebuilt during the Fedora 37 mass rebuild, but since
this
package is FTBFS, we were hoping you could fix it and rebuild it manually, or
it will cause subtle issues when used.

Tracking bugzilla for all affected packages:
https://bugzilla.redhat.com/show_bug.cgi?id=2107826

If you can fix your package to build, perform a build in koji, and if
necessary, create
an update in bodhi. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this
Bugzilla report.

Note that Fedora 37 is about to be branched very soon.
If you fix this after branching, make sure to rebuild the package in both
Rawhide (Fedora 38) and Fedora 37.

==============================================

Following the policy for FTBFS packages [1], your package will be orphaned if
this bug remains in a NEW state for more than 8 weeks (not sooner than
2022-09-26).

A week before the mass branching of Fedora 38 according to the
schedule [2],
any packages not successfully rebuilt, at least on Fedora 36 will
be
retired regardless of the status of this bug.

[1]
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[2]
https://fedorapeople.org/groups/schedule/f-38/f-38-key-tasks.html

Comment 6 Ben Cotton 2022-08-09 13:24:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 8 Miro Hrončok 2022-08-30 11:24:39 UTC
I've accidentally posted wrong Fedora versions in the previous comment, here is a corrected version:


Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 37.
Action is required from you.

PYC magic number has changed in Python 3.11.0b4, and all packages with Python
bytecode need to be rebuilt. Most of them were rebuilt during the
Fedora 37 mass rebuild, but since this package is FTBFS,
we were hoping you could fix it and rebuild it manually, or
it will cause subtle issues when used.

Tracking bugzilla for all affected packages:
https://bugzilla.redhat.com/show_bug.cgi?id=2107826

If you can fix your package to build, perform a build in koji, and if
necessary, create an update in bodhi.
If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this
Bugzilla report.

Make sure to rebuild the package in both Rawhide (Fedora 38) and Fedora 37.

==============================================

Following the policy for FTBFS packages [1], your package will be orphaned if
this bug remains in a NEW state for more than 8 weeks (not sooner than 
2022-09-26).

A week before the mass branching of Fedora 38 according to the
schedule [2],
any packages not successfully rebuilt, at least on Fedora 36 will
be
retired regardless of the status of this bug.

[1]
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[2]
https://fedorapeople.org/groups/schedule/f-38/f-38-key-tasks.html

Comment 9 Hans Ulrich Niedermann 2022-10-17 02:25:58 UTC
As I think Fedora should have csound, I have taken over the package
even though I am not really a user of csound.

New builds for F38, F37, F36 are available for csound-6.16.2-7
fixing #2104031 and #2113161

    https://koji.fedoraproject.org/koji/packageinfo?packageID=1542

and bodhi updates for that will happen soon.

After that, probably a relatively quick update to csound-6.17.0,
upstreaming some of our fixes, and maybe csound-7.0.0 for at least
F38 after it has been released.

Comment 10 Fedora Update System 2022-10-17 02:29:53 UTC
FEDORA-2022-23efb9e14d has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-23efb9e14d

Comment 11 Fedora Update System 2022-10-17 02:29:56 UTC
FEDORA-2022-f984c0fb1b has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-f984c0fb1b

Comment 12 Hans Ulrich Niedermann 2022-10-17 03:20:53 UTC
I suppose the above mentioned csound builds provide the needinfo.

Comment 13 Fedora Update System 2022-10-17 08:07:54 UTC
FEDORA-2022-f984c0fb1b has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-f984c0fb1b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-f984c0fb1b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-10-17 12:36:09 UTC
FEDORA-2022-23efb9e14d has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-23efb9e14d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-23efb9e14d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-10-24 14:09:45 UTC
FEDORA-2022-23efb9e14d has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2022-11-10 22:19:39 UTC
FEDORA-2022-f984c0fb1b has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.